<!-- <section id="traveller">
    <div class="container-fluid bgclr">
        <ul class="breadcrumb reset">
           
            <li class="">
               <h5> Fare</h5>
            </li>
        </ul>
        <div class="card">
            <div class="card-body">
                <div class="card">
                    <div class="card-header">
                      Fare Management
                    </div>
                    <div class="card-body">
                        <div class="row">
                            <div class="col-6">
                                <div class="p-2 bd-highlight">
                                    <button routerLink="add_country" class="btn btnclrs adduser" tabindex="0">
                                        <i class="fa fa-plus-circle pr-1"></i>
                                        Add Fare
                                    </button>
                                  </div>
              
                            </div>
                            <div class="col-6 txtright">
                                
                                <button class="btn excelbtn" data-placement="left" data-toggle="tooltio" title="Excel">
                                    <i aria-hidden="true" class="fa fa-file-excel-o fa-2x"></i>
                                </button>
                            </div>
                        </div>
                       
                        <hr>
                        <table class="table table-striped table-bordered">
                            <thead>
                              <tr>
                                <th scope="col">#</th>
                                <th scope="col">First</th>
                                <th scope="col">Last</th>
                                <th scope="col">Handle</th>
                              </tr>
                            </thead>
                            <tbody>
                              <tr>
                                <th scope="row">1</th>
                                <td>Mark</td>
                                <td>Otto</td>
                                <td>@mdo</td>
                              </tr>
                             
                            </tbody>
                          </table>
                    </div>
                  </div>
            </div>

        </div>
    </div>
</section> -->
<section id="traveller">
    <div class="container-fluid bgclr">
        <ul class="breadcrumb reset">
            <h5>Fare</h5>
        </ul>
        <div class="card">
            <div class="card-body">
                <div class="card">
                    <div class="card-header">
                        Fare Management
                    </div>
                    <div class="card-body">
                        <div class="row">
                            <div class="col-5 col-sm-5 col-md-6 col-lg-6">
                                <div class="d-flex flex-row bd-highlight mb-3">
                                    <div class="p-2 bd-highlight">

                                        <a [routerLink]="['add_fare']" class="btn btn-success btn-mini">
                                            <i class="fa fa-plus"></i>
                                            Add Fare</a>
                                    </div>
                                </div>
                            </div>
                            <div class="d-flex bd-highlight col-7 col-sm-7 col-md-3 col-lg-3 ml-auto">
                                <div class="p-2 flex-fill bd-highlight">

                                    <div class="form-group">
                                        <div class="input-group">
                                            <input type="text" class="form-control" placeholder="Search" type="text" [(ngModel)]="searchText">
                                            <div class="input-group-append">
                                                <span class="input-group-text btnclrs">
                                                    <i class="fa fa-search"></i>
                                                </span>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="p-2 flex-fill bd-highlight">
                                    <button class="btn excelbtn" data-placement="left" data-toggle="tooltio"
                                        title="Excel" (click)="exportAsXLSX()">
                                        <i aria-hidden="true" class="fa fa-file-excel-o fa-2x"></i>
                                    </button>
                                </div>

                            </div>

                        </div>
                        <hr>
                        <div class="table-responsive py-2">
                            <table class="table table-striped table-bordered">
                                <thead>
                                    <tr>
                                        <th scope="col">Sl.No</th>
                                        <th scope="col">Country</th>
                                        <th scope="col">State</th>
                                        <th scope="col">City</th>
                                        <th>Action</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <tr *ngFor = "let fare of FareArray| filter:searchText| paginate: { itemsPerPage: 25, currentPage: p };let i = index">
                                        <th *ngIf="p>1">{{((p-1)*25)+(i+1)}}</th>
                                        <th *ngIf="p===1">{{i+1}}</th>
                                        <td>{{fare.country}}</td>
                                        <td>{{fare.state}}</td>
                                        <td>{{fare.city}}</td>
                                      
                                        <td>
                                            <a class="btn view" [routerLink]='["view_fare", fare._id]'>
                                                <i class="fa fa-eye" aria-hidden="true"></i>
                                            </a>
                                            <a class="btn edit" [routerLink]='["edit_fare", fare._id]'>
                                                <i class="fa fa-pencil" aria-hidden="true"></i>
                                            </a>
                                            <a class="btn delete" (click)="delete(fare)">
                                                <i class="fa fa-trash" aria-hidden="true"></i>
                                            </a>
                                        </td>
                                    </tr>
                                </tbody>
                            </table>
                        </div>
                        <div class="text-center">
                            <pagination-controls (pageChange)="p = $event"></pagination-controls>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>